Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Version Bug in amqp.json #30

Closed
theory opened this Issue · 2 comments

1 participant

@theory
Owner

This looks wrong. Note that version 0.2.0 is listed in pg_amqp 0.3.0. This is wrong. There is no amqp 0.2.0 extension, only pg_amqp 0.2.0 and amqp 0.3.0. Might have been broken somehow when I reindexed with a new zip file that had a broken META.json with amqp 0.2.0. So probably the reindexing needs to properly delete an extension that was listed in the previous indexing and not in the new one.

@theory
Owner

I'm going to fix that JSON file now, so for reference, its broken form was:

{
   "extension": "amqp",
   "latest": "stable",
   "stable": {
      "abstract": "AMQP protocol support for PostgreSQL",
      "dist": "pg_amqp",
      "docpath": "doc/amqp",
      "sha1": "4c7112a28584ecd2ac9607cf62274a0ec9d586cf",
      "version": "0.3.0"
   },
   "versions": {
      "0.2.0": [
         {
            "date": "2011-05-19T21:47:12Z",
            "dist": "pg_amqp",
            "version": "0.3.0"
         }
      ],
      "0.3.0": [
         {
            "date": "2011-05-19T21:47:12Z",
            "dist": "pg_amqp",
            "version": "0.3.0"
         }
      ]
   }
}
@theory
Owner

Turns out it's an API bug. Moved to here.

@theory theory closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.